Subject: Need Help: Rebuilding Old Craftsman Air Compressor

From: [email-masked] (Steven J Orlin)
Date: 28 Nov 1994 03:12:02 GMT

First of all, I apologize if this is the wrong place for this query.
It is about rebuilding an air compressor, not about metalworking.
If there is a more appropriate group (which I am not aware of now)
please inform me and I'll post there, and cancel this.

I have an old Craftsman air compressor that was made
in (most likely) the 40's-50's.  Okokokok.  No flames please.
It's not THAT old, but before my time anyways.  It was my
Grandfather's, and he gave it to me a while ago.

It is a two part unit, mounted on a metal platform.
There is the motor (1/2 hp) and then the piston compressor,
which is attached via a belt.  The compressor
holds oil in the bottom, just like a small engine.

Currently, the thing doesn't blow out a whole lot of air, but I think
it's because the filter is bad, and possible the valve flapper in
the compressor. The piston fits tight in it's bore, and the gasket seemed
to be in o.k. shape.
Does anyone know where I can get parts to rebuild this
beast?  I haven't tried Sears yet (I know I should, but I know what answer
I will get, "uuhhh, I dunno, not here..").

I would also like to mount this platform on top of a new/used air compressor
tank.  Probably a 5-10 gallon tank.  And I will need an air relief valve for
the tank, and probably a few other parts, but I'm not sure which..
Can anyone give me some tips on doing this?  I've never built a compressor
system before, so I don't know exactly what all is needed, and if
this 1/2 hp motor is good enough for a 5-10 gallon tank.

Also, any ideas on changing the pulley ratio?  Right now it appears to be
pretty close to a 1:1 ratio.  I am not sure if it was this way when brand
new or not.

Any references to places which would have parts would be great.

Thanks!!

Steve

---

From: [email-masked] (thomas walter x5955)
Date: Tue, 29 Nov 1994 14:23:37 GMT

>please inform me and I'll post there, and cancel this.

Good question, seems as good as any place. :-)

First, look it over for a serial/model number on the machine, or
baseplate.  You can order parts for the older models from Sears,
and I like the older models, as they were well built! 

If everything is in good shape, might just need a filter, valves,
and a new gasket. Even if the piston is tight in the bore, it may
need rings. 

If it is only a 1/2hp motor ('50's) it will not blow alot of air.
There should be some sort of rating on the unit. xx cfm at yy psi.
(My 20 year old 4 hp Craftsmen will produce 9 cfm at 90 psi...)

On a new tank... find a tank certified for the pressure. Please use
caution, and have someone check your work.  A tank pressurized to 125
psi can cause loss of life and limb if not correctly done.   

Cheers,

Tom Walter			[email-masked]
Austin, TX.